This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 245093

Summary: Please add common delete function to the repository browser
Product: versioncontrol Reporter: ChrisLE
Component: GitAssignee: Ondrej Vrabec <ovrabec>
Status: RESOLVED FIXED    
Severity: normal CC: git
Priority: P3    
Version: 8.0.1   
Hardware: PC   
OS: Windows 7   
Issue Type: ENHANCEMENT Exception Reporter:

Description ChrisLE 2014-06-16 14:40:07 UTC
For my daily work, it's a pain in the ass to delete branches inside the repository browser. I have to select a branch, do a right click, select delete branch (move with mouse or keys to this option), confirm, after this do the same again.

Why not use the delete key on the keyboard for this? Select a branch, press del, confirm. This would be very handy and I think it is a common function.


Regards,

Chris
Comment 1 Ondrej Vrabec 2014-06-17 07:54:27 UTC
fix: http://hg.netbeans.org/core-main/rev/f52deace00cf
Comment 2 Quality Engineering 2014-06-19 02:34:59 UTC
Integrated into 'main-silver', will be available in build *201406190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f52deace00cf
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #245093 - Please add common delete function to the repository browser
Del now works with Branch/Tag nodes.